summaryrefslogtreecommitdiffstats
path: root/src/etc/rc.shutdown
diff options
context:
space:
mode:
Diffstat (limited to 'src/etc/rc.shutdown')
-rwxr-xr-xsrc/etc/rc.shutdown37
1 files changed, 37 insertions, 0 deletions
diff --git a/src/etc/rc.shutdown b/src/etc/rc.shutdown
new file mode 100755
index 0000000..aa6468a
--- /dev/null
+++ b/src/etc/rc.shutdown
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if ! /usr/bin/lockf -s -t 30 /tmp/config.lock /usr/bin/true; then
+ echo "Cannot shutdown at this moment, a config write operation is in progress and 30 seconds have passed."
+ exit -1
+fi
+
+product=`cat /etc/inc/globals.inc | grep product_name | cut -d'"' -f4`
+
+echo
+echo "${product} is now shutting down ..."
+echo
+
+stty status '^T'
+
+# Set shell to ignore SIGINT (2), but not children;
+trap : 2
+
+HOME=/; export HOME
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+export PATH
+
+# If PLATFORM is pfSense then remove
+# temporary files on shutdown from /tmp/
+PLATFORM=`cat /etc/platform`
+if [ "$PLATFORM" = "pfSense" ]; then
+ find -x /tmp/* -type f -exec rm -f {} \; >/dev/null 2>&1
+fi
+
+USE_MFS_TMPVAR=`/usr/bin/grep -c use_mfs_tmpvar /cf/conf/config.xml`
+DISK_NAME=`/bin/df /var/db/rrd | /usr/bin/tail -1 | /usr/bin/awk '{print $1;}'`
+DISK_TYPE=`/usr/bin/basename ${DISK_NAME} | /usr/bin/cut -c1-2`
+# If we are not on a full install, or if the full install wants RAM disks, or if the full install _was_ using RAM disks, but isn't for the next boot...
+if [ "${PLATFORM}" != "pfSense" ] || [ ${USE_MFS_TMPVAR} -gt 0 ] || [ "${DISK_TYPE}" = "md" ]; then
+ /etc/rc.backup_rrd.sh
+ /etc/rc.backup_dhcpleases.sh
+fi
OpenPOWER on IntegriCloud